import { Config } from "../config";
export declare class UIBadge {
    protected element: Element;
    private config;
    protected value: string;
    protected icon: string;
    protected theme: string;
    protected tooltip: string;
    protected position: "top" | "bottom";
    constructor(element: Element, config: Config);
    protected attached(): void;
}
